Skip to main content
GET
/
api
/
v1
/
billing
/
checkout
/
sessions
/
{session_id}
Get checkout session
curl --request GET \
  --url https://api.myrouter.example/api/v1/billing/checkout/sessions/{session_id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "<string>",
    "url": "<string>",
    "status": "<string>",
    "payment_status": "<string>",
    "amount_total": "<string>",
    "currency": "<string>"
  },
  "request_id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-request-id
string

Optional caller request id.

Path Parameters

session_id
string
required

Checkout session id.

Minimum string length: 1

Response

Get checkout session response.

data
object
required

Checkout session.

request_id
string

Request id.